article/urls.py
from django.urls import path
from . import views

app_name = 'article'

urlpatterns = [
    path('article-detail/<int:id>/', views.article_detail, name='article_detail'),
    path('article-create/', views.article_create, name='article_create'),
    path('article-update/<int:id>/', views.article_update, name='article_update'),
    path('article-delete/<int:id>/', views.article_delete, name='article_delete'),
    path('article-download/<int:id>', views.download_file, name='download_file'),
]

blocks/urls.py
# 引入path
from django.urls import path
from . import views

# 正在部署的应用的名称
app_name = 'blocks'

urlpatterns = [
    path('blocks-list3/<column>/',views.blocks_list3),
]

like/urls.py
from django.urls import path
from . import views

app_name = 'like'

urlpatterns = [
    path('like-change/', views.like_change, name='like_change'),
]

notice/urls.py
from django.urls import path
from . import views

app_name = 'notice'

urlpatterns = [
    # 通知列表
    path('list/', views.CommentNoticeListView.as_view(), name='list'),
    # 更新通知状态
    path('update/', views.CommentNoticeUpdateView.as_view(), name='update'),
]

question/urls.py
from django.urls import path
from . import views

app_name = 'question'

urlpatterns = [

    # 文章详情
    path('question-detail/<int:question_id>/', views.question_detail, name='question_detail'),
    path('question-create/', views.question_create, name='question_create'),
    path('question-update/<int:question_id>/', views.question_update, name='question_update'),
    path('question-delete/<int:question_id>/', views.question_delete, name='question_delete'),
    path('question-download/<int:question_id>', views.download_file, name='download_file'),
]

sailing/urls.py
from django.contrib import admin
from django.urls import path, include
from django.shortcuts import render
from article import views as article_views
from question import views as question_views
from userprofile import views as user_views

from django.conf import settings
from django.conf.urls.static import static
from itertools import chain
import notifications.urls
def mainPage(request):
    return render(request, 'userprofile/collection.html', {})


def sort_column(column_questions, column_articles):
    column_content = []

    for question in column_questions:
        content = {'title': question.title, 'id': question.id, 'column': str(question.column), 'updated': question.updated, 'type': 'question'}
        column_content.append(content)
        pass

    for article in column_articles:
        content = {'title': article.title, 'id': article.id, 'column': str(article.column), 'updated': article.updated, 'type': 'article'}
        column_content.append(content)
        pass

    column_content = sorted(column_content, key=lambda x:(x['column'], x['updated']), reverse = True)
    
    #for item in column_content:
    #    if item['column'] != 'None':
    #        print(item)
    return column_content

def hot_content(request):
    # hotContent
    hot_questions = question_views.hot_question_list()
    hot_articles = article_views.hot_article_list()
    # blockContent
    column_questions = question_views.column_question_list()
    column_articles = article_views.column_article_list()
    column_content = sort_column(column_questions["column_questions"], column_articles["column_articles"])
    column_content = {'column_content': column_content}

    context = {**hot_questions, **hot_articles, **column_content}
    return render(request, 'mainPage.html', context)

urlpatterns = [
    path('admin/', admin.site.urls),
    path('userprofile/', include('userprofile.urls', namespace='userprofile')),
    path('article/', include('article.urls', namespace='article')),
    path('question/', include('question.urls', namespace='question')),
    path('comment/', include('comment.urls', namespace='comment')),
    path('answer/', include('answer.urls', namespace='answer')),
    path('like/', include('like.urls', namespace='like')),
    path('', hot_content, name='hot_content'),
    path('collect/', include('collect.urls', namespace='collect')),
    path('search_question/', question_views.search_question),
    path('search_article/', article_views.search_article),
    path('search_user/', user_views.search_user),
    path('blocks/',include('blocks.urls', namespace='blocks')),
    path('inbox/notifications/', include(notifications.urls, namespace='notifications')),
    path('notice/', include('notice.urls', namespace='notice')),
    # path('', mainPage)
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

userprofile/urls.py
from django.urls import path
from . import views

app_name = 'userprofile'

urlpatterns = [
    # 用户登入
    path('login/', views.user_login, name='login'),
    # 用户退出
    path('logout/', views.user_logout, name='logout'),
    # 用户退出
    path('register/', views.user_register, name='register'),
    # 用户删除
    path('delete/<int:id>/', views.user_delete, name='delete'),
    # 用户安全删除
    path('safe-delete/<int:id>/', views.user_safe_delete, name='safe_delete'),
    # 用户查看信息
    path('profile/<int:id>/', views.profile, name='profile'),
    # 用户编辑信息
    path('profile-update/<int:id>/', views.profile_update, name='profile_update'),
    # 用户修改密码
    path('password-update/<int:id>/', views.password_update, name='password_update'),
    # 用户查看点赞信息
    path('collect-record/<int:id>/', views.get_collect_record, name='get_collect_record'),
    # 用户封禁
    path('user-forbidden/<int:id>/', views.user_forbidden, name='user_forbidden'),
    #查看用户发表的东西
    path('user-get_myob/<int:id>/', views.get_myob, name='user_get_myob'),
]

blocks/models.py
from django.db import models

# Create your models here.

blocks/views.py
from django.http import HttpResponse,StreamingHttpResponse
from django.shortcuts import render, redirect
import markdown
from comment.models import Comment

from article.models import ArticleColumn  # 文章板块
from article.models import ArticlePost
from article.forms import ArticlePostForm

from django.contrib.auth.models import User
from django.contrib.auth.decorators import login_required
from django.contrib import messages
from comment import views as comment_views
# 引入评论表单
from comment.forms import CommentForm
# 引入 Q 对象
from django.db.models import Q
from django.conf import settings
from django.utils.http import urlquote
import os
# 引入分页模块
from django.core.paginator import Paginator
#引入权限检查模块
from django.contrib.auth.models import Permission

from django.shortcuts import render, redirect, reverse
from question.models import QuestionPost, QuestionColumn
from question.forms import QuestionPostForm
from django.contrib.auth.models import User
from django.http import HttpResponseRedirect
from django.contrib import messages
from answer.models import Answer
from django.http import HttpResponse,StreamingHttpResponse
from django.utils.http import urlquote
from article import views as article_views
from question import views as question_views
# 引入分页模块
import markdown


def sort_column(column_questions, column_articles):
    column_content = []

    for question in column_questions:
        content = {'title': question.title, 'id': question.id, 'column': str(question.column),
                   'updated': question.updated, 'type': 'question'}
        column_content.append(content)
        pass

    for article in column_articles:
        content = {'title': article.title, 'id': article.id, 'column': str(article.column), 'updated': article.updated,
                   'type': 'article'}
        column_content.append(content)
        pass

    column_content = sorted(column_content, key=lambda x: (x['column'], x['updated']), reverse=True)

    # for item in column_content:
    #    if item['column'] != 'None':
    #        print(item)
    return column_content


def column_content(questions, articles,column):
    column_questions = []
    column_articles = []
    for question in questions:
        if question.column and question.column.title == column:
            # print("yes")
            column_questions.append(question)
    for article in articles:
        if article.column and article.column.title == column:
            column_articles.append(article)
    # print(column_articles)
    # print(column_questions)
    return{'questions': column_questions,'articles': column_articles}


def blocks_list3(request,column):
    search = request.GET.get('search')
    if search:
        questions = QuestionPost.objects.filter(
            # 匹配标题(不区分大小写)
            Q(title__icontains=search) |
            # 匹配问题描述(不区分大小写)
            Q(description__icontains=search)
        ).order_by('-updated')
        articles = ArticlePost.objects.filter(
            # 匹配标题(不区分大小写)
            Q(title__icontains=search) |
            # 匹配问题描述(不区分大小写)
            Q(body__icontains=search)
        ).order_by('-updated')
    else:
        questions = QuestionPost.objects.all()
        articles = ArticlePost.objects.all()

    content = column_content(questions, articles, column)
    context = {'questions': content['questions'], 'articles': content['articles'], 'search': search,'title':column}

    return render(request, 'blocks/list3.html', context)

templates/back_to_top_func.html
<button type="button" id="BackTop" class="toTop-arrow" style="z-index: 100;"></button>

<script>
    // 向上滚动的函数
    $(function () {
        $('#BackTop').click(function () {
            $('html,body').animate({scrollTop: 0}, 500);
        });
        $(window).scroll(function () {
            if ($(this).scrollTop() > 300) {
                $('#BackTop').fadeIn(300);
            } else {
                $('#BackTop').stop().fadeOut(300);
            }
        }).scroll();
    });
</script>

<style>
    /* 按钮边框的大小、位置、样式 */
    .toTop-arrow {
        width: 3.5rem;
        height: 3.5rem;
        padding: 0;
        margin: 0;
        border: 0;
        border-radius: 33%;
        opacity: 0.7;
        background: black;
        cursor: pointer;
        position: fixed;
        right: 1.5rem;
        bottom: 1.5rem;
        display: none;
    }

    /* 绘制按钮中的向上箭头 */
    .toTop-arrow::before, .toTop-arrow::after {
        width: 31px;
        height: 7px;
        border-radius: 3px;
        background: orange;
        position: absolute;
        content: "";
    }

    .toTop-arrow::before {
        transform: rotate(-45deg) translate(0, -50%);
        left: 0.4rem;
    }

    .toTop-arrow::after {
        transform: rotate(45deg) translate(0, -50%);
        right: 0.4rem;
    }

    /* 取消点击按钮时的聚焦 */
    .toTop-arrow:focus {
        outline: none;
    }
</style>

templates/base.html
<!-- 载入静态文件 -->
<!-- 静态文件夹寻址需要在setting里部署！！！ -->
{% load staticfiles %}
<!DOCTYPE html>
<!-- 网站主语言 -->
<html lang="zh-cn">

<head>
    <!-- 网站采用的字符编码 -->
    <meta charset="utf-8">
    <!-- 预留网站标题的位置 -->
    <title>{% block title %}{% endblock %}</title>
    <!-- 引入bootstrap的css文件 -->
    <link rel="stylesheet" href="{% static 'bootstrap/css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/blockContent.css' %}">
    <link rel="stylesheet" href="{% static 'fontawesome/css/all.css' %}">
    
</head>

<body>
    <!-- 引入导航栏 -->
    {% include 'header.html' %}
    <!-- 预留具体页面的位置 -->
    <!-- 新增两个 div 容器 -->
    <div id="wrapper">
        {% block content %}{% endblock content %}
        <div id="push"></div>
    </div>
    <!-- 引入注脚 -->
    {% include 'footer.html' %}
    <!-- bootstrap.js 依赖 jquery.js 和popper.js，因此在这里引入 -->
    <script src="{% static 'jquery/jquery.js' %}"></script>

    <script src="{% static 'popper/popper.js' %}"></script>
    <!-- 引入bootstrap的js文件 -->
    <script src="{% static 'bootstrap/js/bootstrap.min.js' %}"></script>
    <!-- 引入layer.js弹窗功能 -->
    <script src="{% static 'layer/layer.js' %}"></script>
    <!-- 在jquery后面引入 -->
    {% include 'back_to_top_func.html' %}

    {% block script %}{% endblock script %}

<!-- 增加样式 -->
    <style>
        html, body {
            height: 100%;
            margin: 0;
        }

        #wrapper {
            min-height: 100%;
            margin-bottom: -60px;
        }

        #footer,
        #push {
            height: 60px;
        }
    </style>
</body>

</html>

templates/block.html
<!-- extends表明此页面继承自 base.html 文件 -->
{% extends "base.html" %}
{% load staticfiles %}

<!-- 写入 base.html 中定义的 title -->
{% block title %}
    {板块名称}
{% endblock title %}

<!-- 写入 base.html 中定义的 content -->
{% block content %}
    <!-- 引入上传按钮 -->
    {% include 'uploadButton.html' %}
    <!-- 引入版块对应热门问题，热门文章 -->
    {% include 'hotContent.html' %}
{% endblock content %}

templates/blockContent.html
{#{% regroup column_content by column as content_list %}#}
{#<br>#}
{#<div>#}
{#  {% for column in content_list %}#}
{#    {% if column.grouper == '学习' %}#}
{#          <!--板块1名称-->#}
{#          <span class="mt-2 ml-2"><i class="fas fa-graduation-cap" style="color:darkgoldenrod; font-size:30px;"></i></span>#}
{#          <a href="{% url 'blocks:blocks_list_study'  %}">{{column.grouper}}</a>#}
{#    {% elif column.grouper == '生活' %}#}
{#          <!--板块2名称-->#}
{#          <span class="mt-2 ml-2"><i class="far fa-calendar-alt" style="color:darkslategrey; font-size:30px;"></i></span>#}
{#          <a href="{% url 'blocks:blocks_list_life'  %}">{{column.grouper}}</a>#}
{##}
{#    {% elif column.grouper == '交友' %}#}
{#          <!--板块3名称-->#}
{#            <span class="mt-2 ml-2"><i class="fas fa-users" style="color:darksalmon; font-size:30px;"></i></span>#}
{#          <a href="{% url 'blocks:blocks_list_friend'  %}">{{column.grouper}}</a>#}
{##}
{#    {% endif %}#}
{#  {% endfor %}#}
{#</div>#}
{% regroup column_content by column as content_list %}
<br>
<div>
  {% for column in content_list %}
          <span class="mt-2 ml-2"><i class="fas fa-graduation-cap" style="color:darkgoldenrod; font-size:30px;"></i></span>
          <a href="/blocks/blocks-list3/{{column.grouper}}">{{column.grouper}}</a>
  {% endfor %}
</div>

templates/footer.html
{% load staticfiles %}
<!-- Footer -->
<div>
    <br><br><br>
</div>
<footer class="py-3 bg-dark" id="footer">
    <div class="container">
        <p class="m-0 text-center text-white">Copyright &copy; 小青龙团队 </p>
    </div>
</footer>

templates/header.html
{% regroup column_content by column as content_list %}
{% load notifications_tags %}
{% notifications_unread as unread_count %}
<!-- 定义导航栏 ，黑色，固定在顶部-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark navbar-fixed-top">
  <div class="container-fluid">

    <!-- 同济堂 ，按钮点击可以返回主界面-->
    <div class="navbar-header">
      <a class="navbar-brand" href="/">同济堂</a>
          <!--板块1名称-->
          <span class="mt-2 ml-2"><i class="fas fa-graduation-cap" style="color:white; font-size:30px;"></i></span>
          <a class="navbar-brand" style="font-size:15px" href="/blocks/blocks-list3/学习/">学习</a>

          <!--板块2名称-->
          <span class="mt-2 ml-2"><i class="far fa-calendar-alt" style="color:white; font-size:30px;"></i></span>
          <a class="navbar-brand" style="font-size:15px" href="/blocks/blocks-list3/生活/">生活</a>


          <!--板块3名称-->
            <span class="mt-2 ml-2"><i class="fas fa-users" style="color:white; font-size:30px;"></i></span>
          <a class="navbar-brand" style="font-size:15px" href="/blocks/blocks-list3/交友/">交友</a>

    </div>

    <ul class="nav navbar-nav navbar-right">
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" 
        role="button" data-toggle="dropdown" 
        aria-haspopup="true" aria-expanded="false"> 
        搜索</a>
          <!--如果有头像，会显示头像，没有头像，会显示用户名-->
      
      <div class="dropdown-menu" aria-labelledby="navbarDropdown">
        <a class="dropdown-item" href='/search_question'>问题搜索</a>
        <a class="dropdown-item" href="/search_article">文章搜索</a>
        <a class="dropdown-item" href="/search_user">用户搜索</a>
      </div>
  </li>


      {% if user.is_authenticated %}

      <a class="btn text-light" href="{% url 'userprofile:get_collect_record' user.id %}">我的收藏</a>
        <a class="btn text-light" href="{% url 'userprofile:user_get_myob' user.id %}">个人空间</a>
<!--<a class="btn text-light" href="https://www.runoob.com/html/html-links.html">{消息}</a>
      <a class="btn text-light" href="https://www.runoob.com/html/html-links.html">{动态}</a>-->
      {% endif %}
      <!-- Django的 if 模板语句 -->
      {% if user.is_authenticated %}
          <!-- 如果用户已经登录，则显示用户名下拉框 -->
          <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  <!-- 新增代码，小红点 -->
        {% if unread_count %}
            <svg viewBox="0 0 8 8"
                 width="8px"
                 height="8px">
                <circle cx="4"
                        cy="4"
                        r="4"
                        fill="#ff6b6b"
                        ></circle>
            </svg>
        {% endif %}
                  {% if globle_profile.avatar %}
                  <img src={{ globle_profile.avatar.url }} alt={{user.username}} style="width: 40px;height: 40px; border-radius:50%;" />
                  {% else %}
                  <img src="https://ss0.bdstatic.com/94oJfD_bAAcT8t7mm9GUKT-xh_/timg?image&quality=100&size=b4000_4000&sec=1592383038&di=3918b09a3244e0fa942873a932879bc8&src=http://pic.soutu123.cn/element_origin_min_pic/01/37/09/22573c3a831082c.jpg!/fw/700/quality/90/unsharp/true/compress/true" alt={{user.username}} style="width: 40px;height: 40px; border-radius:50%;" />
                  {% endif %}
                  <!--如果有头像，会显示头像，没有头像，会显示用户名-->
              </a>

              <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="{% url "notice:list" %}">通知
            {% if unread_count %}
            <span class="badge badge-danger">{{ unread_count }}</span>
            {% endif %}
        </a>
                <a class="dropdown-item" href='{% url "userprofile:profile" user.id %}'>个人信息</a>
                  <a class="dropdown-item" href='{% url "userprofile:logout" %}'>退出登录</a>
<!--                <a class="dropdown-item" href='{% url "userprofile:delete" user.id %}'>删除用户</a>-->
              </div>
          </li>
      <!-- 如果用户未登录，则显示 “登录” -->
      {% else %}
          <li class="nav-item">
              <a class="nav-link" href="{% url 'userprofile:login' %}">登录</a>
          </li>                    
      <!-- if 语句在这里结束 -->
      {% endif %}
    </ul>
  </div>
</nav>

templates/hotContent.html
{% load question_tags %}

<div class="text-center mt-4">
    <h4><b>热门问题</b></h4>
</div>

<!-- 列表循环 -->
<div class="row ml-5">
    {% for question in questions %}
        <!-- 文章内容 -->
        <div class="col-12">
            <!-- 栏目 -->
            {% if question.column %}
                <a href="/blocks/blocks-list3/{{ question.column.title }}">
                <button type="button"
                        class="btn btn-sm mb-2 {{ question.column.title|button_type }}">
                    {{ question.column }}
                </button>
                </a>
            {% endif %}
            <!-- 标题 -->
            <h4>
                <b>
                    <a href="{% url 'question:question_detail' question.id %}"
                       style="color: black;"
                    >
                        {{ question.title }}
                    </a>
                </b>
            </h4>
            <!-- 摘要 -->
            <div>
                <p style="color: gray;">
                    {{ question.description|slice:'100' }}...
                </p>
            </div>
            <!-- 注脚 -->
            <p>
                <!-- 附加信息 -->
                <span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ question.author }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{ question.created|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:pink;"></i>
                    {{ question.updated|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-eye" style="color:blueviolet;"></i>
                    {{ question.total_views }}
                </span>
            </p>
            <hr>
        </div>
    {% endfor %}
</div>

<div class="text-center mt-4">
    <h4><b>热门文章</b></h4>
</div>

<!-- 列表循环 -->
<div class="row ml-5">
    {% for article in articles %}
        <!-- 文章内容 -->
        <div class="col-12">
            <!-- 栏目 -->
            {% if article.column %}
                <a href="/blocks/blocks-list3/{{ article.column.title }}">
                <button type="button"
                        class="btn btn-sm mb-2 {{ article.column.title|button_type }}">
                    {{ article.column }}
                </button>
                </a>
            {% endif %}
            <!-- 标题 -->
            <h4>
                <b>
                    <a href="{% url 'article:article_detail' article.id %}"
                       style="color: black;"
                    >
                        {{ article.title }}
                    </a>
                </b>
            </h4>
            <!-- 摘要 -->
            <div>
                <p style="color: gray;">
                    {{ article.body|slice:'100' }}...
                </p>
            </div>
            <!-- 注脚 -->
            <p>
                <!-- 附加信息 -->
                <span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ article.author }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{ article.created|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:pink;"></i>
                    {{ article.updated|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-eye" style="color:blueviolet;"></i>
                    {{ article.total_views }}
                </span>
            </p>
            <hr>
        </div>
    {% endfor %}
</div>

templates/mainPage.html
<!-- extends表明此页面继承自 base.html 文件 -->
{% extends "base.html" %}
{% load staticfiles %}

<!-- 写入 base.html 中定义的 title -->
{% block title %}
    首页
{% endblock title %}

<!-- 写入 base.html 中定义的 content -->
{% block content %}

    <!-- 发布问题,发布文章 -->
    {% include 'uploadButton.html' %}
    <!-- 引入热门内容 -->
    {% include 'hotContent.html' %}
{% if messages %}
<!--信息弹框形式-->
<script>
    {% for msg in messages %}
        alert('{{ msg.message }}');
    {% endfor %}
</script>
{% endif %}
{% endblock content %}

templates/search.html
<!-- extends表明此页面继承自 base.html 文件 -->
{% extends "base.html" %}
{% load staticfiles %}

<!-- 写入 base.html 中定义的 title -->
{% block title %}
    搜索
{% endblock title %}

<!-- 写入 base.html 中定义的 content -->
{% block content %}
    <!-- 新增，对应类型搜索栏 -->
    <div class="container">
        <div class="d-flex justify-content-center mt-4">
            <form class="form-inline" >
                <!-- type对应的是用户在之前的搜索栏选择的类型（问题，文章，回答）-->
                <label for="search" class="mr-4">搜索{{type}}</label>
                <input type="text"
                    class="form-control mb-2 mr-sm-2"
                    id="search"
                    name="search"
                    placeholder="搜索..."
                    required
                >
            </form>
        </div>
    </div>

    <!-- 新增，搜索提示语 -->
    {% if search %}
        {% if articles %}
            <h4><span style="color: cadetblue">"{{ search }}"</span>的搜索结果如下：</h4>
            <hr>
        {% else %}
            <h4>暂无<span style="color: cadetblue">"{{ search }}"</span>有关的{{type}}。</h4>
            <hr>
        {% endif %}
    {% endif %}

    <div class="container">
        <div class="row mt-2">

            {% for article in articles %}
            <!-- 文章内容 -->
            <div class="col-4 mb-4">
                <!-- 卡片容器 -->
                <div class="card h-100">
                    <!-- 标题 -->
                    <h4 class="card-header">{{ article.title }}</h4>
                    <!-- 摘要 -->
                    <div class="card-body">
                        <p class="card-text">{{ article.body|slice:'100' }}...</p>
                    </div>
                    <!-- 注脚 -->
                    <div class="card-footer">
                        <a href="#" class="btn btn-primary">阅读本文</a>
                    </div>
                </div>
            </div>
        {% endfor %}

        </div>
    </div>
{% endblock content %}

templates/uploadButton.html
<!--                                                 <a class="nav-link" href="{% url 'userprofile:login' %}">登录</a>-->
<!-- 因为只能登录后才能发布文章 所以这个还得修改-->


<div class="container">
        <div class="d-flex justify-content-center">
            <button type="button" class="btn btn-outline-secondary mt-2 mb-2 ml-5 mr-5" ><a href="{% url 'question:question_create'  %}">发布问题</a></button>
            <button type="button" class="btn btn-outline-secondary mt-2 mb-2 ml-5 mr-5" ><a href="{% url 'article:article_create'  %}">发布文章</a></button>
        </div>
</div>